#!/usr/bin/python3

# Display status for dome power control
#
# Copyright 2018 John Kielkopf


import sys,time

# The module needs to be in the python path. 
# We add the current directory so it can be here.

sys.path.append('.')

# Import the DLI module

import dlipower

# Switch settings

SWITCHIP="136.165.99.84"
USER="observer"
PASSWORD="dogstar"

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.

switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print("Cannot talk to the switch.")
  sys.exit(1)

# Print the current state of all the outlets
switch.printstatus()
  
