#!/usr/local/bin/python3

# Display switch status for dome shutter control
#

# Copyright 2018 John Kielkopf
#
#
# Assumes DLI controller with these connections --
#
#   1  Computer
#   2  Video server
#   3  Telescope controller
#   4  Apogee camera
#   5  Telescope auxilliary
#   6  Dome switch
#   7  Dome light
#   8  Dome charger
#

import sys

# Import the DLI module

import dlipower

# Switch settings

SWITCHIP="136.165.99.84"
USER=""
PASSWORD=""

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.

switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch

if not switch.verify():
  print("Cannot talk to the switch")
  sys.exit(1)

# Print the current state of all the outlets

switch.printstatus()
  
