#!/usr/local/bin/python3

# Display switch status for dome shutter control
#
# Copyright 2012-2018 John Kielkopf
#
#
# Assumes DLI controller these connections --
#
#   1  Decrease Azimuth
#   2  Increase Azimuth
#   3  
#   4
#   5  Open Lower
#   6  Close Lower
#   7  Open Upper
#   8  Close Upper


import sys

# Import the DLI module 

import dlipower

# Switch settings

SWITCHIP="192.168.1.249"
USER=""
PASSWORD=""

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.

switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch

if not switch.verify():
  print("Cannot talk to the dome switch.")
  sys.exit(1)

# Print the current state of all the outlets

switch.printstatus()
  
